org.apache.hc.client5.http.methods

## Interface CloseableHttpResponse

All Superinterfaces:
  AutoCloseable, Closeable, org.apache.hc.core5.http.HttpMessage<org.apache.hc.core5.http.HttpEntity>, org.apache.hc.core5.http.HttpResponse, org.apache.hc.core5.http.MessageHead

    public interface CloseableHttpResponse
    extends org.apache.hc.core5.http.HttpResponse, Closeable

Extended version of the `HttpResponse` interface that also extends `Closeable`.

Since:
  4.3

### Method Summary

### Methods inherited from interface org.apache.hc.core5.http.HttpResponse

`getCode, getLocale, getStatusLine, setLocale, setReasonPhrase, setStatusCode, setStatusLine, setStatusLine, setStatusLine`

### Methods inherited from interface org.apache.hc.core5.http.HttpMessage

`addHeader, addHeader, getEntity, getProtocolVersion, removeHeader, removeHeaders, setEntity, setHeader, setHeader, setHeaders`

### Methods inherited from interface org.apache.hc.core5.http.MessageHead

`containsHeader, containsHeaders, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, headerIterator, headerIterator`

### Methods inherited from interface java.io.Closeable

`close`